'use strict';
define([
  'angular',
  'widgets/mapapp/importExportMBTILES/directives/importExportMBTILES',
  'widgets/mapapp/importExportMBTILES/services/MBTILESService',
  'angular-strap',
  'angular-strap.tpl',
  'angular-route',
  'toastr',
  'ol3js',
  'ng-table',
], function(angular, importExportMBTILES, MBTILESService) {
  // generation du module
  var gcimportexportmbtiles = angular.module('gc_importexportmbtiles', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);

  gcimportexportmbtiles.factory('mbtilesService', MBTILESService);
  gcimportexportmbtiles.directive('imexmbtiles', importExportMBTILES);

  return gcimportexportmbtiles;
});
